Billing

Get one subscription tier by id

Returns a single org-level BaaS plan (free, starter, growth, scale, enterprise). Public; no auth required.

AuthPublic
GroupBilling
Rate limitSee Rate Limits
GET/api/billing/plans/{planId}

SDK setup

Create a client instance. No authentication is required for this endpoint.

import { Configuration, BillingApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
});

const billing = new BillingApi(configuration);
import { Configuration, BillingApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
});

const billing = new BillingApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await billing.getSubscriptionTierById("csrRUQtjw593eA4x");
const { data: result } = await billing.getSubscriptionTierById("csrRUQtjw593eA4x");

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

No Request Yet

Send a request to see the full inspector

Authentication

Public — No Auth Required

Path Parameters

NameTypeRequiredDescription
planIdstringYesPlan id (free, starter, growth, scale, enterprise)

Responses

200Plan details
json
{
  "plan": {
    "id": "GFkSBbp7eK8PdZUZ",
    "name": "Dr. Dusty Bode",
    "description": "Ergonomic Car made with Metal for all-day soupy support",
    "price": 385.89,
    "priceYearly": 173.9,
    "currency": "PHP",
    "limits": {},
    "overages": {}
  }
}
{
  "plan": {
    "id": "GFkSBbp7eK8PdZUZ",
    "name": "Dr. Dusty Bode",
    "description": "Ergonomic Car made with Metal for all-day soupy support",
    "price": 385.89,
    "priceYearly": 173.9,
    "currency": "PHP",
    "limits": {},
    "overages": {}
  }
}
404Plan not found

Errors

CodeMeaning
404Plan not found
Edit this page on GitHub